USE ALL.
COMPUTE filter_$=(S1Q3A >= 15 & (WorkStats < 4 & WorkStats > 1)).
VARIABLE LABEL filter_$ 'S1Q3A >= 15 & (WorkStats < 4 & WorkStats > 1)'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV Labour\Data\Abdy\EICV2'+
 ' JobStatus_Subsistence1.sav'.
DATASET NAME DataSet3 WINDOW=FRONT.
USE ALL.
COMPUTE filter_$=(S1Q2 = 1 & S1Q3A >= 15 & (WorkStats > 1 & WorkStats < 4)).
VARIABLE LABEL filter_$ 'S1Q2 = 1 & S1Q3A >= 15 & (WorkStats > 1 & WorkStats'+
 ' < 4) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY HH_WT .
RECODE
  s1q3a
  (Lowest thru 10=1)  (11 thru 14=2)  (15 thru 20=3)  (21 thru  30=4) (31 thru 40=5) (41 thru 50=6) (51 thru Highest = 7) INTO  GrpAges .
VARIABLE LABELS GrpAges 'Work Age Bands'.
EXECUTE .

VALUE LABELS GrpAges
	1 'Under 10'
	2 '11 to 14'
	3 '15 to 20'
	4 '21 to 30'
	5 '31 to 40'
	6 '41 to 50'
	7 '51 to 65'
	8 'Over 66 years'.
RECODE
  S1Q2
  (1=1)  (2=2)  (3=3)  (4 thru Highest=4)  INTO  ShortRel .
VARIABLE LABELS ShortRel 'Relationship to head of household'.
EXECUTE .
GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV Labour\Data\EICV2 jobs'+
 ' migration income.sav'.
DATASET NAME DataSet5 WINDOW=FRONT.
USE ALL.
COMPUTE filter_$=(S1Q3A >= 15 & (WorkStats > 1 & WorkStats < 4)).
VARIABLE LABEL filter_$ 'S1Q3A >= 15 & (WorkStats > 1 & WorkStats < 4)'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
RECODE
  NoJobs
  (1=1)  (2=2)  (3 thru Highest=3)  INTO  Jobsperperson .
VARIABLE LABELS Jobsperperson 'Number of Jobs'.
EXECUTE .
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION EditHours
  /TABLES (Jobsperperson + T0000000) > EditHours
  BY (ShortRel + T0000000) > (STATISTICS)
  /STATISTICS
  median( ).

USE ALL.
COMPUTE filter_$=(S1Q3A >= 15 & (WorkStats < 4 & WorkStats > 1)).
VARIABLE LABEL filter_$ 'S1Q3A >= 15 & S1Q2 = 1 & (WorkStats < 4 & WorkStats > 1)'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .