
*MAKING JOBS DATABASE EICV2  6D FEBRUARY 2007 for MINECOFIN.

RECODE
 S6DQ4 
  (0=100) (999=9)    (10 thru 199=1)  (200 thru 299=2)  (300 thru 399=3)  (400 thru 499=4)  (500 thru 599=5)  (600 thru 699=6)  (700 thru 959=7)
(960 thru 985=8) INTO  Occupation .
VARIABLE LABELS Occupation 'Occupation - Grouped'.
EXECUTE .

VALUE LABELS Occupation
				1 'Professionals'
				2 'Senior Officials and Managers'
				3 'Office Clerks'
				4 'Commercial and Sales'
				5 'Skilled Service Sector'
				6 'Agricultural & Fishery Workers'
				7 'Semi-Skilled Operatives'
				8 'Drivers and Machine Operators'
				9 'Unskilled Labourers'
				100 'Inadequately Described'.

*Total all months worked in year.

COMPUTE NoMonths = SUM(S6DQ5_1,S6DQ5_2,S6DQ5_3,S6DQ5_4,S6DQ5_5,S6DQ5_6
 ,S6DQ5_7,S6DQ5_8,S6DQ5_9,S6DQ5_10,S6DQ5_11,S6DQ5_12) .
EXECUTE .

*Total all hours worked in the previous week.

COMPUTE NoHours = SUM(S6DQ6_1,S6DQ6_2,S6DQ6_3,S6DQ6_4,S6DQ6_5,S6DQ6_6
 ,S6DQ6_7) .
EXECUTE .

SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\6d_2.sav'
 /COMPRESSED.


SORT CASES BY
  KEY (A) PID (A) EID (A) .


GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV'+
 ' Analysis\eicv_data_v1\poverty indicators.sav'.
DATASET NAME DataSet3 WINDOW=FRONT.


SORT CASES BY
  KEY (A) .



MATCH FILES /TABLE=*
 /FILE='DataSet1'
 /RENAME (CLUST ID0 ID1 ID2 = d0 d1 d2 d3)
 /BY KEY
 /DROP= d0 d1 d2 d3.
EXECUTE.
SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\6d_3.sav'
 /COMPRESSED.

RECODE
  Occupation
  (6=1)  (SYSMIS=SYSMIS)  (ELSE=2)  INTO  AgricOcc .
VARIABLE LABELS AgricOcc 'Agricultural Jobs'.
EXECUTE .

*DEFINE MAIN JOBS ROUTINE.


.
SORT CASES BY KEY PID .
AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  OVERWRITEVARS=YES
  /PRESORTED
  /BREAK=KEY PID
  /EID_nu = NU(EID).


RECODE
  S6DQ6_1
  (0=0)  (SYSMIS=SYSMIS)  (1 thru Highest=1)  INTO  Monday .
EXECUTE .

RECODE
  S6DQ6_2
  (0=0)  (SYSMIS=SYSMIS)  (1 thru Highest=1)  INTO  Tuesday .
EXECUTE .

RECODE
  S6DQ6_3
  (0=0)  (SYSMIS=SYSMIS)  (1 thru Highest=1)  INTO  Wednesday .
EXECUTE .

RECODE
  S6DQ6_4
  (0=0)  (SYSMIS=SYSMIS)  (1 thru Highest=1)  INTO  Thursday .
EXECUTE .
 EID_nu
RECODE
  S6DQ6_5
  (0=0)  (SYSMIS=SYSMIS)  (1 thru Highest=1)  INTO  Friday .
EXECUTE .

RECODE
  S6DQ6_6
  (0=0)  (SYSMIS=SYSMIS)  (1 thru Highest=1)  INTO  Saturday .
EXECUTE .

RECODE
  S6DQ6_7
  (0=0)  (SYSMIS=SYSMIS)  (1 thru Highest=1)  INTO  Sunday .
EXECUTE .

COMPUTE NoDays = SUM(Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday) .
EXECUTE .

WEIGHT
  OFF.
SORT CASES BY KEY PID .
AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  OVERWRITEVARS=YES
  /PRESORTED
  /BREAK=KEY PID
  /NoHours_sum = SUM(NoHours).

*3. Making Main Usual and Current Occupation if ONLY 1 JOB.

 RENAME VARIBLES EID_nu=NoJobs.


IF (NoJobs = 1) MainUsual = 1 .
EXECUTE .

IF (NoJobs = 1) MainCurrent = 1 .
EXECUTE .

*4 More THAN ONE JOB CALCULATE WHICH JOB HAS MORE WORKED MONTHS.

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  OVERWRITEVARS=YES
  /PRESORTED
  /BREAK=KEY PID
  /NoMonths_max = MAX(NoMonths).

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  OVERWRITEVARS=YES
  /PRESORTED
  /BREAK=KEY PID
  /NoMonths_min = MIN(NoMonths).

DO IF ((NoJobs =2) & (NoMonths = NoMonths_max  )) .
RECODE
  MainUsual  (ELSE=1)  .
END IF .
EXECUTE .

DO IF ((NoJobs =2) & (NoMonths = NoMonths_min  )) .
RECODE
  MainUsual  (ELSE=2)  .
END IF .
EXECUTE .

DO IF ((NoJobs =2) & (NoMonths = NoMonths_min  ) & (NoMonths = NoMonths_max  )) .
RECODE
  MainUsual  (ELSE=3)  .
END IF .
EXECUTE .

*NOT ONE OF THE MANIN JOBS AS LESS MONTHS THAN MAXIMUM FOR PERSON.

DO IF ((NoJobs >2) & (NoMonths ~= NoMonths_max  )) .
RECODE
  MainUsual  (ELSE=2)  .
END IF .
EXECUTE .

*JOB IS ONE OF MAIN JOBS - CHECK FOR TIED HOURS.

* Identify Duplicate Cases.
SORT CASES BY KEY(A) PID(A) NoHours(A) .
MATCH FILES /FILE = * /BY KEY PID NoHours
 /FIRST = PrimaryFirst /LAST = PrimaryLast2.
DO IF (PrimaryFirst).
COMPUTE MatchSequence = 1 - PrimaryLast2.
ELSE.
COMPUTE MatchSequence = MatchSequence + 1.
END IF.
LEAVE MatchSequence.
FORMAT MatchSequence (f7).
COMPUTE InDupGrp = MatchSequence > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp MatchSequence.
VARIABLE LABELS PrimaryLast2 'Indicator of each last matching case as'+
 ' Primary' .
VALUE LABELS PrimaryLast2 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL PrimaryLast2 (ORDINAL).
FREQUENCIES VARIABLES = PrimaryLast2 .
EXECUTE.

*SET ALL JOBS TO SECONDARY IF TIED HOURS BUT NOT MAX HOURS.

DO IF ((NoJobs >2) & (PrimaryLast2=0) & (NoMonths NE NoMonths_max  )) .
RECODE
  MainUsual  (ELSE=2)  .
END IF .
EXECUTE .

*MAX HOURS AND NOT TIED HOURS.

DO IF ((NoJobs >2) & (PrimaryLast2=1) & (NoMonths = NoMonths_max  )) .
RECODE
  MainUsual  (ELSE=1)  .
END IF .
EXECUTE .


*CHECK FOR 2 MAIN JOBS PER PERSON.

RECODE
  MainUsual
  (1=1)  (ELSE=SYSMIS)  INTO  Mainjob .
EXECUTE .


* Identify Duplicate Cases.
SORT CASES BY KEY(A) PID(A) Mainjob(A) NoHours(A) AgricOcc(A) .
MATCH FILES /FILE = * /BY KEY PID Mainjob
 /DROP = PrimaryLast2 MatchSequence1 /FIRST = PrimaryFirst /LAST =
  PrimaryLast2.
DO IF (PrimaryFirst).
COMPUTE MatchSequence1 = 1 - PrimaryLast2.
ELSE.
COMPUTE MatchSequence1 = MatchSequence1 + 1.
END IF.
LEAVE MatchSequence1.
FORMAT MatchSequence1 (f7).
COMPUTE InDupGrp = MatchSequence1 > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp.
VARIABLE LABELS PrimaryLast2 'Indicator of each last matching case as'+
 ' Primary'
  MatchSequence1 'Sequential count of matching cases' .
VALUE LABELS PrimaryLast2 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL PrimaryLast2 (ORDINAL)
     /MatchSequence1 (SCALE).
FREQUENCIES VARIABLES = PrimaryLast2 MatchSequence1 .
EXECUTE.

DO IF ((Mainjob=1) & (PrimaryLast2=0)) .
RECODE
  MainUsual  (ELSE=2)  .
END IF .
EXECUTE .

RECODE
  MainUsual
  (3=3)  (ELSE=SYSMIS)  INTO  Mainjob .
EXECUTE .

* Identify Duplicate Cases.
SORT CASES BY KEY(A) PID(A) Mainjob(A) NoHours(A) AgricOcc(A) .
MATCH FILES /FILE = * /BY KEY PID Mainjob
 /DROP = PrimaryLast2 MatchSequence1 /FIRST = PrimaryFirst /LAST =
  PrimaryLast2.
DO IF (PrimaryFirst).
COMPUTE MatchSequence1 = 1 - PrimaryLast2.
ELSE.
COMPUTE MatchSequence1 = MatchSequence1 + 1.
END IF.
LEAVE MatchSequence1.
FORMAT MatchSequence1 (f7).
COMPUTE InDupGrp = MatchSequence1 > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp.
VARIABLE LABELS PrimaryLast2 'Indicator of each last matching case as'+
 ' Primary'
  MatchSequence1 'Sequential count of matching cases' .
VALUE LABELS PrimaryLast2 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL PrimaryLast2 (ORDINAL)
     /MatchSequence1 (SCALE).
FREQUENCIES VARIABLES = PrimaryLast2 MatchSequence1 .
EXECUTE.

DO IF ((Mainjob=3) & (PrimaryLast2=0)) .
RECODE
  MainUsual  (ELSE=2)  .
END IF .
EXECUTE .

DO IF ((Mainjob=3) & (PrimaryLast2=1)) .
RECODE
  MainUsual  (ELSE=1)  .
END IF .
EXECUTE .

*CHECK TO SEE IF EACH PERSON HAS A MAIN JOB.

RECODE
  Mainusual
  (1=1)  (ELSE=SYSMIS)  INTO  Principaljob .
EXECUTE .

DO IF () .
RECODE
  MainUsual  (ELSE=2)  .
END IF .
EXECUTE .



SORT CASES BY KEY PID .
AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /PRESORTED
  /BREAK=KEY PID
  /Principaljob_min = MIN(Principaljob)
  /N_BREAK=N.


* Identify Duplicate Cases.
SORT CASES BY KEY(A) PID(A) Principaljob(A) .
MATCH FILES /FILE = * /BY KEY PID Principaljob
 /FIRST = PrimaryFirst /LAST = PrimaryLast.
DO IF (PrimaryFirst).
COMPUTE MatchSequence = 1 - PrimaryLast.
ELSE.
COMPUTE MatchSequence = MatchSequence + 1.
END IF.
LEAVE MatchSequence.
FORMAT MatchSequence (f7).
COMPUTE InDupGrp = MatchSequence > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp.
VARIABLE LABELS PrimaryLast 'Indicator of each last matching case as Primary'
  MatchSequence 'Sequential count of matching cases' .
VALUE LABELS PrimaryLast 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL PrimaryLast (ORDINAL)
     /MatchSequence (SCALE).
FREQUENCIES VARIABLES = PrimaryLast MatchSequence .
EXECUTE.

DO IF (SYSMIS(MainUsual)) .
RECODE
  MainUsual  (SYSMIS=2)  .
END IF .
EXECUTE .

VALUE LABELS MainUsual 1 'Principal Job' 2 'Secondary Job'.
SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL'+
 ' JOBS.sav'
 /COMPRESSED.


*MAKE MAIN JOB BASE.

FILTER OFF.
USE ALL.
SELECT IF(MainUsual=1).
EXECUTE .
SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\Main Job Only.sav'
 /COMPRESSED.


*MAKE MAIN CURRENT JOB.

*GET MAIN JOBS.
GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS.sav'.

*Identify jobs with most and least hours. 

SORT CASES BY KEY PID .
AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /PRESORTED
  /BREAK=KEY PID
  /NoHours_max = MAX(NoHours) /NoHours_min = MIN(NoHours) /NoDays_max =
  MAX(NoDays) /NoDays_min = MIN(NoDays).

*Sort and identify by hours worked and whether an agricultural occupation.
* Identify Duplicate Cases.
SORT CASES BY KEY(A) PID(A) NoHours(A) AgricOcc(A) .
MATCH FILES /FILE = * /BY KEY PID
 /FIRST = PrimaryFirst /LAST = PrimaryLast.
DO IF (PrimaryFirst).
COMPUTE MatchSequence = 1 - PrimaryLast.
ELSE.
COMPUTE MatchSequence = MatchSequence + 1.
END IF.
LEAVE MatchSequence.
FORMAT MatchSequence (f7).
COMPUTE InDupGrp = MatchSequence > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp.
VARIABLE LABELS PrimaryLast 'Indicator of each last matching case as Primary'
  MatchSequence 'Sequential count of matching cases' .
VALUE LABELS PrimaryLast 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL PrimaryLast (ORDINAL)
     /MatchSequence (SCALE).
FREQUENCIES VARIABLES = PrimaryLast MatchSequence .
EXECUTE.


IF (SYSMIS(MainCurrent) &  NoHours_max= NoHours &PrimaryLast = 1) Current = 1
  .
EXECUTE .

DO IF (MainCurrent = 1) .
RECODE
  Current  (SYSMIS=1)  (ELSE=2)  .
END IF .
EXECUTE .

EXECUTE .
* Identify Duplicate Cases.
SORT CASES BY KEY(A) PID(A) Current(A) NoHours_sum(A) NoDays(A) AgricOcc(A)
  NoMonths(A) .
MATCH FILES /FILE = * /BY KEY PID Current
 /DROP = PrimaryLast1 MatchSequence1 /FIRST = PrimaryFirst /LAST =
  PrimaryLast1.
DO IF (PrimaryFirst).
COMPUTE MatchSequence1 = 1 - PrimaryLast1.
ELSE.
COMPUTE MatchSequence1 = MatchSequence1 + 1.
END IF.
LEAVE MatchSequence1.
FORMAT MatchSequence1 (f7).
COMPUTE InDupGrp = MatchSequence1 > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp.
VARIABLE LABELS PrimaryLast1 'Indicator of each last matching case as'+
 ' Primary'
  MatchSequence1 'Sequential count of matching cases' .
VALUE LABELS PrimaryLast1 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL PrimaryLast1 (ORDINAL)
     /MatchSequence1 (SCALE).
FREQUENCIES VARIABLES = PrimaryLast1 MatchSequence1 .
EXECUTE.

DO IF (SYSMIS(Current) & PrimaryLast1 = 1) .
RECODE
  Current  (SYSMIS=2)  .
END IF .
EXECUTE.

DO IF (SYSMIS(Current) & PrimaryLast1 = 0) .
RECODE
  Current  (SYSMIS=3)  .
END IF .
EXECUTE.


* Identify Duplicate Cases.
SORT CASES BY KEY(A) PID(A) Current(A) NoHours_sum(A) NoDays(A) AgricOcc(A)
  NoMonths(A) .
MATCH FILES /FILE = * /BY KEY PID Current
 /DROP = PrimaryLast1 MatchSequence1 /FIRST = PrimaryFirst /LAST =
  PrimaryLast1.
DO IF (PrimaryFirst).
COMPUTE MatchSequence1 = 1 - PrimaryLast1.
ELSE.
COMPUTE MatchSequence1 = MatchSequence1 + 1.
END IF.
LEAVE MatchSequence1.
FORMAT MatchSequence1 (f7).
COMPUTE InDupGrp = MatchSequence1 > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp.
VARIABLE LABELS PrimaryLast1 'Indicator of each last matching case as'+
 ' Primary'
  MatchSequence1 'Sequential count of matching cases' .
VALUE LABELS PrimaryLast1 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL PrimaryLast1 (ORDINAL)
     /MatchSequence1 (SCALE).
FREQUENCIES VARIABLES = PrimaryLast1 MatchSequence1 .
EXECUTE.

DO IF ((Current=3) & (PrimaryLast1 = 0)) .
RECODE
  Current  (3=4)  .
END IF .
EXECUTE.


VALUE LABELS current 1 'Main Current' 2 'Sec Current' 3 'Third Current' 4'Fourth Current'.




SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS.sav'
 /COMPRESSED.

RECODE
  NoJobs
  (1=1)  (2 thru Highest=2)  INTO  Multiplejobs .
VARIABLE LABELS Multiplejobs 'More than 1 job'.
EXECUTE .




SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS'+
 ' BASE.sav'
  /DROP=NoMonths_max NoMonths_min MainCurrent PrimaryLast MatchSequence
  NoHours_max NoHours_min NoDays_max NoDays_min PrimaryLast1 MatchSequence1
  filter_$ /COMPRESSED.

**************************************************************************************************************************
*THE NEXT SECTION SUFFERED FROM A LOT OF COMPUTER CRASHES AND LOST SYNTAX.
*IT IS MERELY THE ADDITION OF KEY DEMOGRAPHIC AND JOB DETAILS FROM SECTIONS 6 AND 7. 
*THE FINAL DATA BASE IS ALL JOBS BASE_2.SAV.

***************************************************************************************************************************
*Add demographic variables. 
GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS BASE.sav'.
DATASET NAME DataSet5 WINDOW=FRONT.
SORT CASES BY
  KEY (A) PID (A) .
DATASET ACTIVATE DataSet4.
MATCH FILES /TABLE=*
 /RENAME (CLUST ID0 ID1 ID2 ID3 ID4 ID5 ID6 = d0 d1 d2 d3 d4 d5 d6 d7)
 /FILE='DataSet5'
 /BY KEY PID
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.

SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS BASE.sav'
 /COMPRESSED.

*GET 6F.sav.
*Unpaid work and merge.

SORT CASES BY
  KEY (A) EID (A) PID (A) .

MATCH FILES /FILE=*
 /FILE='DataSet11'
 /RENAME (CLUST ID0 ID1 ID2 ID3 ID4 ID5 ID6 = d0 d1 d2 d3 d4 d5 d6 d7)
 /BY KEY EID PID
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.
SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL ECON'+
 ' TEMP.sav'
 /COMPRESSED.

*GET 7A.sav.
*Small non-agricultural businesses and merge.


SORT CASES BY
  KEY (A) EID (A) PID (A) .

MATCH FILES /FILE=*
 /FILE='DataSet12'
 /RENAME (CLUST ID0 ID1 ID2 ID3 ID4 ID5 ID6 = d0 d1 d2 d3 d4 d5 d6 d7)
 /BY KEY EID PID
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.

*Get 7B.sav more small business information
GET
  FILE='D:\S07B.sav'.
EXECUTE.

SORT CASES BY
  KEY (A) EID (A) .

*Merge 6E Salaried jobs.
GET
  FILE='D:\S06E.sav'.
EXECUTE.
SORT CASES BY
  KEY (A) EID (A) .

SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\S06E.sav'
 /COMPRESSED.
MATCH FILES /FILE=*
 /FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\S06F.sav'
 /RENAME (CLUST ID0 ID1 ID2 ID3 ID4 ID5 ID6 PID = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY KEY EID
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.


MATCH FILES /FILE=*
 /FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\S07A.sav'
 /RENAME (CLUST ID0 ID1 ID2 ID3 ID4 ID5 ID6 PID = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY KEY EID
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.

SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\JOB'+
 ' DETAILS.sav'
 /COMPRESSED.
MATCH FILES /FILE=*
 /FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\S07B.sav'
 /RENAME (CLUST ID0 ID1 ID2 ID3 ID4 ID5 ID6 PID = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY KEY EID
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.

SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\JOB'+
 ' DETAILS.sav'
 /COMPRESSED.

GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS'+
 ' BASE_1.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

SORT CASES BY
  KEY (A) EID (A) .

MATCH FILES /FILE=*
 /FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\JOB DETAILS.sav'
 /RENAME (CLUST ID0 ID1 ID2 ID3 ID4 ID5 ID6 PID = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY KEY EID
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.


SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS'+
 ' BASE_2.sav'
 /COMPRESSED.

**************************************************************************************************************
*CREATING VARIABLES FOR AGRICULTURE WHICH HAS NO ISIC CODE.
*1 ISIC CODE REQUIRED FOR EACH JOB.

*ISIC CODE FOR ALL ACTIVITIES FOR EACH JOB.
*TAKE CODE FROM SALARIED JOBS, UNPAID WORK, SMALL BUSINESSES AND ADD TOGETHER.


COMPUTE ISIC = SUM(S6EQ3,S6FQ3,S7AQ4) .
EXECUTE .

*IF OCCUPATION IS AGRICULTURE AND STATUS IS INDEPENDENT OR UNPAID AGRICULTURAL WORKER CODE IS AGRIC.
DO IF (SYSMIS(ISIC) & S6DQ4 = 611 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=111)  .
END IF .
EXECUTE .

DO IF (SYSMIS(ISIC) & S6DQ4 = 612 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=111)  .
END IF .
EXECUTE .

DO IF (SYSMIS(ISIC) & S6DQ4 = 621 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=111)  .
END IF .
EXECUTE .

DO IF (SYSMIS(ISIC) & S6DQ4 = 626 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=121)  .
END IF .
EXECUTE .

DO IF (SYSMIS(ISIC) & S6DQ4 = 625 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=121)  .
END IF .
EXECUTE .

*FORESTERS.

DO IF (SYSMIS(ISIC) & S6DQ4 = 632 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=132)  .
END IF .
EXECUTE .

*FISHERMEN AND HUNTERS.

DO IF (SYSMIS(ISIC) & S6DQ4 = 641 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=141)  .
END IF .
EXECUTE .

DO IF (SYSMIS(ISIC) & S6DQ4 = 642 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=142)  .
END IF .
EXECUTE .

*SELLING OCCUPATION BUT FARMING STATUS CODED AS COMMERCE.

DO IF (SYSMIS(ISIC) & S6DQ4 = 491 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=621)  .
END IF .
EXECUTE .

* BASKET WEAVING ETC CODED AS ATISANS IN ART.

DO IF (SYSMIS(ISIC) & S6DQ4 = 752 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=926)  .
END IF .
EXECUTE .


DO IF (SYSMIS(ISIC) & S6DQ4 = 631 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=131)  .
END IF .
EXECUTE .

* SORTING OUT MISSING CODES.
DO IF (SYSMIS(ISIC) & S6DQ4 = 583 ) .
RECODE
  ISIC  (SYSMIS=911)  .
END IF .
EXECUTE .

DO IF (SYSMIS(ISIC) & S6DQ4 = 799 & (S6DQ7 = 3 or S6DQ7=4) ) .
RECODE
  ISIC  (SYSMIS=322)  .
END IF .
EXECUTE .

*GROUPING ISIC.

RECODE
  ISIC
  	(231=23)  (371=37)  (521=52)  (531=53)  (631=63)  (821=82)  (831=83)  
	(SYSMIS=SYSMIS)  (111 thru 114=11)  (121 thru 124=12)
   	(131 thru 132=13)  (141 thru 142=14)  (211 thru 212=21)  (221 thru 226=22) 
	(311 thru 319=31)  (321 thru 325=32)  (331 thru 333=33)  (341 thru 344=34)  (351 thru 356=35)  
	(361 thru 362=36)  (381 thru 388=38)  (411 thru 413=41)  (511 thru 512=51)
 	(611 thru 613=61)  (621 thru 623=62)  (641 thru 643=64)  (651 thru 653=65)  
	(711 thru 719=71)  (721 thru 722=72)  (731 thru 732=73)  (811 thru 812=81)  
	(841 thru 849=84)  (911 thru 918=91)  
	(921 thru 926=92)  (931 thru 934=93)  (ELSE=00)  INTO  ISICGroup .
VARIABLE LABELS ISICGroup 'Industry Group'.
EXECUTE .

VALUE LABELS ISICGroup
				.00 'Inadequately Described'
				11.00 '11 Agriculture'
				12.00 '12 Livestock'
				13.00 '13 Forestry'
				14.00 '14 Fishing & Hunting'
				21.00 '21 Mining'
				22.00 '22 Quarrying'
				31.00 '31 Food Manufacture'
				32.00 '32 Textile Manufacture'
				33.00 '33 Wood Products Man.'
				34.00 '34 Paper Products Man.'
				35.00 '35 Chemical Industries'
				36.00 '36 Non-metallic Products. Man.'
				37.00 '37 Metal Manufacture'
				38.00 '38 Metal Products Man.'
				41.00 '41 Gas, Water & Electricity'
				51.00 '51 Construction Buildings'
				52.00 '52 Construction Roads'
				53.00 '53 Rural Reconstruction'
				61.00 '61 Wholesale Trade'
				62.00 '62 Retail Trade'
				63.00 '63 Other Trade'
				64.00 '64 Hotel & restaurants'
				65.00 '65 Import & Export'
				71.00 '71 Transport'
				72.00 '72 Warehousing'
				73.00 '73 Communications'
				81.00 '81 Banking'
				82.00 '82 Insurance'
				83.00 '83 Real Estate'
				84.00 '84 Business Services'
				91.00 '91 Government, Admin & Social Services'
				92.00 '92 Recreation & Tourism'
				93.00 '93 Domestic Services'.





SORT CASES BY
  KEY (A) EID (A) .
SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS'+
 ' BASE_2.sav'
 /COMPRESSED.

*MERGE WITH 6ABC.

*GET S06.ABC_3only.


SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV'+
 ' 2007\S06A_only.sav'
  /DROP=ID0 ID1 ID2 ID3 ID4 ID5 S6BQ1 S6BQ2 S6BQ3 S6BQ4 S6BQ5 S6BQ6A S6BQ6B
  S6BQ7 S6BQ8 S6BQ9A S6BQ9B S6CQ1 S6CQ2 S6CQ3 S6CQ4 S6CQ5 S6CQ6 S6CQ7 S6CQ8
  S6CQ9 S6CQ10 /COMPRESSED.
GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\S06A_only.sav'.
DATASET NAME DataSet5 WINDOW=FRONT.

SORT CASES BY
  KEY (A) PID (A) .

SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV'+
 ' 2007\S06A_only.sav'
 /COMPRESSED.


GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\ALL JOBS'+
 ' BASE_2.sav'.
DATASET NAME DataSet6 WINDOW=FRONT.

SORT CASES BY
  KEY (A) PID (A) .


MATCH FILES /TABLE=*
 /FILE='DataSet5'
 /RENAME (CLUST ID6 = d0 d1)
 /BY KEY PID
 /DROP= d0 d1.
EXECUTE.


SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\TOTAL JOBS'+
 ' EICV2.sav'
 /COMPRESSED.

*INDEPENDENT FARMER IF ISIC IS FARMING AND STATUS IS INDEPENDENT.
*THIS VARIABLE NEVER USED IN ANALYSIS.

IF ((S6FQ3 < 124)| (S6DQ7=3)) OwnFarm = 1 .
EXECUTE .

*IF ANY SCODE FOR SMALL BUSINESS THEN HAS A SMALL BUSINESS.
IF (S7AQ4  >= 1)|  Ownbusiness = 1 .
EXECUTE .



SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\TOTAL JOBS'+
 ' EICV2.sav'
 /COMPRESSED.

*Number of enterprises per houshold.

GET
  FILE='\\india\redirected$\mstrode\My Documents\EICV 2007\TOTAL JOBS EICV2'+
 '.sav'.


*IDENTIFY NUMBER OF OWN FARM OR OWN BUSINESS PER PERSON.



SORT CASES BY KEY PID .
AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /PRESORTED
  /BREAK=KEY PID
  /OwnFarm_nu 'Number of Farms per Person' = NU(OwnFarm) /Ownbusiness_nu
  'Number of Business per Person' = NU(Ownbusiness).

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /BREAK=KEY
  /S7AQ3_nu_1 'Number of non-farm Businesses per household' = NU(S7AQ3).


AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /BREAK=KEY
  /OwnFarm_nu_1 'Number of farm workers per household' = NU(OwnFarm).

SAVE OUTFILE='\\india\redirected$\mstrode\My Documents\EICV 2007\TOTAL JOBS'+
 ' EICV2.sav'
 /COMPRESSED.